void psession()
{
//=========Macro showing a PROOF session

   char *slide="psession";
   InitCanvas(slide);

title = new TPaveLabel(3,22.5,17,23.7,"Example of a PROOF session");
title->SetFillColor(31);
title->Draw();

t = new TText();
t->SetTextSize(0.03);
t->SetTextFont(62);
t->SetTextColor(2);
tfix = new TText();
tfix->SetTextSize(0.018);
tfix->SetTextFont(82);
tfix->SetTextColor(1);
troot = new TText();
troot->SetTextSize(0.025);
troot->SetTextFont(72);
troot->SetTextColor(4);

Float_t xroot = 1.3;
Float_t xc = xroot+1.6;

troot->DrawText(xroot,21,"Root >");
t->DrawText(xc,21,".@!ls -l run846_tree.root");
tfix->DrawText(xroot,20.4,"-rw-r--r--   1 brun     cr       598223259 Mar 27 16:20 run846_tree.root");

troot->DrawText(xroot,19.4,"Root >");
t->DrawText(xc,19.4,"TFile f("run846_tree.root");");

troot->DrawText(xroot,18.4,"Root >");
t->DrawText(xc,18.4,"gROOT.Time();");

troot->DrawText(xroot,17.4,"Root >");
t->DrawText(xc,17.4,"T49.Draw("fPx");");
tfix->DrawText(xroot,16.8,"Real time 0:0:11, CP time 10.860");

troot->DrawText(xroot,15.8,"Root >");
t->DrawText(xc,15.8,"gROOT.Proof();");
tfix->DrawText(xroot,15.2,"*** Proof slave server : pcna49a.cern.ch started ****");
tfix->DrawText(xroot,14.6,"*** Proof slave server : pcna49b.cern.ch started ****");
tfix->DrawText(xroot,14.0,"*** Proof slave server : pcna49c.cern.ch started ****");
tfix->DrawText(xroot,13.4,"*** Proof slave server : pcna49d.cern.ch started ****");
tfix->DrawText(xroot,12.8,"*** Proof slave server : pcna49e.cern.ch started ****");
tfix->DrawText(xroot,12.2,"Real time 0:0:4, CP time 0.140");

troot->DrawText(xroot,11.2,"Root >");
t->DrawText(xc,11.2,"T49.Draw("fPx");");
tfix->DrawText(xroot,10.6,"Real time 0:0:3, CP time 0.240");

TPad *pad = new TPad("pad","proof results",.1,.1,.9,.4);
pad->SetFillColor(44);
pad->SetLogy(1);
pad->SetGrid();
pad->Draw();
pad->cd();
TFile *hfile = new TFile("hPx.root");
gStyle->SetFrameFillColor(42);
gStyle->SetStatW(0.3);
gStyle->SetStatH(0.3);
hPx->Draw();
hPx->SetFillColor(38);

Signe(slide);
}
