void jobs()
{
//=========Macro describing on job on a cluster

   char *slide="jobs";
   InitCanvas(slide);

   pt = new TPaveLabel(7,22.8,13,23.9,"Conventional cluster");
   pt->SetFillColor(41);
   pt->Draw();
   gROOT->LoadMacro("linuxpc.C");

   TLine *lw = new TLine();
   lw->SetLineWidth(4);
   lw->SetLineColor(6);
   lw->DrawLine(10,5.25,10,13);
   lw->DrawLine(5,4,14.3,13.3);
   lw->DrawLine(5,14,13.2,5.9);
   lw->DrawLine(5,9,13.2,9);
   TArc *sw = new TArc(10,9,2);
   sw->SetFillColor(32);
   sw->Draw();
   linuxpc(10,13,2,0.2,"job1");
   linuxpc(15,13,2,0.15,"job2");
   linuxpc(15,7.4,2,0.2,"job3");
   linuxpc(15,2,2,0.05,"job4");
   linuxpc(10,2,2,0.1,"job5");
   linuxpc(5,2,2,0.31,"job6");
   linuxpc(5,7.4,2,0.48,"job7");
   linuxpc(5,13,2,0.15,"job8");

   arcred = new TArc(2,17.5,0.4);
   arcred->SetFillColor(2);
   arcred->Draw();
   arcyellow = new TArc(2,18.5,0.4);
   arcyellow->SetFillColor(5);
   arcyellow->Draw();
   anot = new TText();
   anot->SetTextAlign(12);
   anot->SetTextSize(0.028);
   anot->DrawText(2.8,21.9,"~\345# Many sequential jobs run in parallel");
   anot->DrawText(2.8,21.2,"~\345# Many distributed files (disk pool manager)");
   anot->DrawText(2.8,20.5,"~\345# Each job uses extensively the switch");
   anot->DrawText(2.8,19.8,"~\345# Remote services penalize local processor");

   anot->DrawText(2.8,17.5,"Local data processed by remote processor");
   anot->DrawText(2.8,18.5,"Local data processed by local processor");

   anot->SetTextAlign(22);
   anot->SetTextSize(0.04);
   anot->DrawText(10,9,"SWITCH");
   Signe(slide);
}
